> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.spott.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a candidate

> Creates a new candidate. Provide the candidate details directly. Use the unsupervised endpoint for raw CV uploads.



## OpenAPI

````yaml /openapi-private.json post /candidates
openapi: 3.1.0
info:
  title: Spott API Reference
  version: '0.1'
servers:
  - url: https://api.gospott.com
security: []
tags: []
paths:
  /candidates:
    post:
      tags:
        - Candidates
      summary: Create a candidate
      description: >-
        Creates a new candidate. Provide the candidate details directly. Use the
        unsupervised endpoint for raw CV uploads.
      operationId: createCandidate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCandidateDto'
      responses:
        '201':
          description: Candidate created successfully. Returns the candidate ID.
          content:
            application/json:
              schema:
                type: string
        '400':
          description: Bad request - missing or invalid required fields
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ExceptionBaseDto'
                  - type: object
                    properties:
                      statusCode:
                        type: number
                        example: 400
                      message:
                        type: string
                        example: First name is required
                      error:
                        type: string
                        example: Bad Request
        '401':
          description: Unauthorized - invalid or missing authentication
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '409':
          description: >-
            The contact identifier is already in use by another candidate or
            user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
        '500':
          description: Error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExceptionBaseDto'
      security:
        - x-api-key: []
components:
  schemas:
    CreateCandidateDto:
      type: object
      properties:
        firstName:
          type: string
          minLength: 1
          maxLength: 100
          pattern: ^(?=.*\p{L})[\p{L}\p{M} '’.-]+$
        lastName:
          type: string
          minLength: 1
          maxLength: 100
          pattern: ^(?=.*\p{L})[\p{L}\p{M} '’.-]+$
        gender:
          anyOf:
            - type: string
              enum:
                - male
                - female
                - x
            - type: 'null'
        nationality:
          type: array
          items:
            type: string
            enum:
              - Afghan
              - Albanian
              - Algerian
              - American
              - Andorran
              - Angolan
              - Antiguan
              - Argentinean
              - Armenian
              - Australian
              - Austrian
              - Azerbaijani
              - Bahamian
              - Bahraini
              - Bangladeshi
              - Barbadian
              - Barbudan
              - Batswana
              - Belarusian
              - Belgian
              - Belizean
              - Beninese
              - Bhutanese
              - Bolivian
              - Bosnian
              - Brazilian
              - British
              - Bruneian
              - Bulgarian
              - Burkinabe
              - Burmese
              - Burundian
              - Cambodian
              - Cameroonian
              - Canadian
              - Cape Verdean
              - Central African
              - Chadian
              - Chilean
              - Chinese
              - Colombian
              - Comoran
              - Congolese
              - Costa Rican
              - Croatian
              - Cuban
              - Cypriot
              - Czech
              - Danish
              - Djibouti
              - Dominican
              - Dutch
              - East Timorese
              - Ecuadorean
              - Egyptian
              - Emirian
              - Equatorial Guinean
              - Eritrean
              - Estonian
              - Ethiopian
              - Fijian
              - Filipino
              - Finnish
              - French
              - Gabonese
              - Gambian
              - Georgian
              - German
              - Ghanaian
              - Greek
              - Grenadian
              - Guatemalan
              - Guinea-Bissauan
              - Guinean
              - Guyanese
              - Haitian
              - Herzegovinian
              - Honduran
              - Hungarian
              - I-Kiribati
              - Icelander
              - Indian
              - Indonesian
              - Iranian
              - Iraqi
              - Irish
              - Israeli
              - Italian
              - Ivorian
              - Jamaican
              - Japanese
              - Jordanian
              - Kazakhstani
              - Kenyan
              - Kittian and Nevisian
              - Kuwaiti
              - Kyrgyz
              - Laotian
              - Latvian
              - Lebanese
              - Liberian
              - Libyan
              - Liechtensteiner
              - Lithuanian
              - Luxembourger
              - Macedonian
              - Malagasy
              - Malawian
              - Malaysian
              - Maldivian
              - Malian
              - Maltese
              - Marshallese
              - Mauritanian
              - Mauritian
              - Mexican
              - Micronesian
              - Moldovan
              - Monacan
              - Mongolian
              - Moroccan
              - Mosotho
              - Motswana
              - Mozambican
              - Namibian
              - Nauruan
              - Nepalese
              - New Zealander
              - Ni-Vanuatu
              - Nicaraguan
              - Nigerian
              - Nigerien
              - North Korean
              - Northern Irish
              - Norwegian
              - Omani
              - Pakistani
              - Palauan
              - Panamanian
              - Papua New Guinean
              - Paraguayan
              - Peruvian
              - Polish
              - Portuguese
              - Qatari
              - Romanian
              - Russian
              - Rwandan
              - Saint Lucian
              - Salvadoran
              - Samoan
              - San Marinese
              - Sao Tomean
              - Saudi
              - Scottish
              - Senegalese
              - Serbian
              - Seychellois
              - Sierra Leonean
              - Singaporean
              - Slovakian
              - Slovenian
              - Solomon Islander
              - Somali
              - South African
              - South Korean
              - Spanish
              - Sri Lankan
              - Sudanese
              - Surinamer
              - Swazi
              - Swedish
              - Swiss
              - Syrian
              - Taiwanese
              - Tajik
              - Tanzanian
              - Thai
              - Togolese
              - Tongan
              - Trinidadian or Tobagonian
              - Tunisian
              - Turkish
              - Tuvaluan
              - Ugandan
              - Ukrainian
              - Uruguayan
              - Uzbekistani
              - Venezuelan
              - Vietnamese
              - Welsh
              - Yemenite
              - Zambian
              - Zimbabwean
        status:
          type: array
          items:
            type: string
            enum:
              - actively_looking
              - approachable_but_not_actively_looking
              - do_not_contact
              - do_not_poach
              - not_actively_looking
        emails:
          type: array
          items:
            $ref: '#/components/schemas/CreateCandidateEmailDto'
        phoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/CreateCandidatePhoneNumberDto'
        locations:
          type: array
          items:
            $ref: '#/components/schemas/CreateLocationDto'
        dateOfBirth:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        socialMedia:
          type: array
          items:
            type: object
            properties:
              url:
                format: uri
                type: string
              type:
                type: string
                enum:
                  - LINKEDIN
                  - TWITTER
                  - FACEBOOK
                  - INSTAGRAM
              isPrimary:
                type: boolean
            required:
              - url
              - type
        education:
          type: array
          items:
            $ref: '#/components/schemas/CreateCandidateEducationRequestDto'
        workExperiences:
          type: array
          items:
            $ref: '#/components/schemas/CreateCandidateWorkExperienceRequestDto'
        certifications:
          type: array
          items:
            $ref: '#/components/schemas/CreateCandidateCertificationDto'
        customAttributes:
          maxItems: 100
          type: array
          items:
            $ref: '#/components/schemas/UpdateAttributeValueDto'
        mainContact:
          anyOf:
            - $ref: '#/components/schemas/CreateCandidateMainContactRequestDto'
            - type: 'null'
        languages:
          type: array
          items:
            $ref: '#/components/schemas/LanguageDto'
        compensation:
          anyOf:
            - $ref: '#/components/schemas/CompensationDto'
            - type: 'null'
        skills:
          type: array
          items:
            $ref: '#/components/schemas/CandidateSkillReferenceDto'
        acquisitionSource:
          type: string
          enum:
            - juicebox
            - pin
      required:
        - firstName
        - lastName
      id: PrivateCreateCandidateDto
    ExceptionBaseDto:
      type: object
      properties:
        status:
          type: integer
          minimum: -9007199254740991
          maximum: 9007199254740991
        message:
          type: string
        requestId:
          type: string
      required:
        - status
        - message
        - requestId
      id: ExceptionBaseDto
    CreateCandidateEmailDto:
      type: object
      properties:
        email:
          type: string
          format: email
          pattern: >-
            ^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
        isPrimary:
          type: boolean
      required:
        - email
        - purpose
      id: PrivateCreateCandidateEmailDto
    CreateCandidatePhoneNumberDto:
      type: object
      properties:
        phoneNumber:
          type: string
        purpose:
          anyOf:
            - type: string
              enum:
                - personal
                - work
            - type: 'null'
        isPrimary:
          type: boolean
      required:
        - phoneNumber
        - purpose
      id: PrivateCreateCandidatePhoneNumberDto
    CreateLocationDto:
      type: object
      properties:
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/LocationType'
            - type: 'null'
      required:
        - street1
        - street2
        - postalCode
        - city
        - region
        - state
        - country
        - type
      id: PrivateCreateLocationDto
    DateISO:
      id: DateISO
      format: date-time
      anyOf:
        - type: string
          format: date-time
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
        - type: string
          format: date
          pattern: >-
            ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
    CreateCandidateEducationRequestDto:
      anyOf:
        - $ref: '#/components/schemas/CreateCandidateEducationCompanyIdRequestDto'
        - $ref: '#/components/schemas/CreateCandidateEducationCompanyCreateRequestDto'
      id: PrivateCreateCandidateEducationRequestDto
    CreateCandidateWorkExperienceRequestDto:
      anyOf:
        - $ref: >-
            #/components/schemas/CreateCandidateWorkExperienceCompanyIdRequestDto
        - $ref: >-
            #/components/schemas/CreateCandidateWorkExperienceCompanyCreateRequestDto
      id: PrivateCreateCandidateWorkExperienceRequestDto
    CreateCandidateCertificationDto:
      anyOf:
        - $ref: '#/components/schemas/CreateCandidateCertificationCompanyIdDto'
        - $ref: '#/components/schemas/CreateCandidateCertificationCompanyCreateDto'
      id: PrivateCreateCandidateCertificationDto
    UpdateAttributeValueDto:
      type: object
      properties:
        attributeDefinitionId:
          type: string
          minLength: 1
        value:
          $ref: '#/components/schemas/SharedCustomAttributeTypeDto'
      required:
        - attributeDefinitionId
        - value
      id: PrivateUpdateAttributeValueDto
    CreateCandidateMainContactRequestDto:
      type: object
      properties:
        userId:
          type: string
          minLength: 1
      required:
        - userId
      id: PrivateCreateCandidateMainContactRequestDto
    LanguageDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        language:
          $ref: '#/components/schemas/CandidateLanguage'
        fluency:
          $ref: '#/components/schemas/CandidateFluency'
      required:
        - language
      id: PrivateLanguageDto
    CompensationDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
        currency:
          $ref: '#/components/schemas/CandidateCurrency'
        totalCompensation:
          anyOf:
            - type: number
            - type: 'null'
        baseCompensation:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - currency
      id: PrivateCompensationDto
    CandidateSkillReferenceDto:
      type: object
      properties:
        id:
          type: string
          minLength: 1
      required:
        - id
      id: PrivateCandidateSkillReferenceDto
    LocationType:
      type: string
      enum:
        - primary_home
        - secondary_home
        - primary_work
        - headquarters
        - regional_office
      id: LocationType
    CreateCandidateEducationCompanyIdRequestDto:
      type: object
      properties:
        degree:
          anyOf:
            - type: string
              enum:
                - High School
                - Certificate
                - Diploma
                - Associate
                - Professional
                - Vocational
                - Bachelor
                - Master
                - Postgraduate Diploma
                - MBA
                - LLM
                - PhD
                - Postdoctoral
            - type: 'null'
        fieldOfStudy:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        grade:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        description:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        companyId:
          type: string
          minLength: 1
      required:
        - degree
        - fieldOfStudy
        - grade
        - description
        - startDate
        - endDate
        - companyId
      additionalProperties: false
      id: PrivateCreateCandidateEducationCompanyIdRequestDto
    CreateCandidateEducationCompanyCreateRequestDto:
      type: object
      properties:
        degree:
          anyOf:
            - type: string
              enum:
                - High School
                - Certificate
                - Diploma
                - Associate
                - Professional
                - Vocational
                - Bachelor
                - Master
                - Postgraduate Diploma
                - MBA
                - LLM
                - PhD
                - Postdoctoral
            - type: 'null'
        fieldOfStudy:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        grade:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        description:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        company:
          $ref: '#/components/schemas/CandidateCompanyCreateDto'
      required:
        - degree
        - fieldOfStudy
        - grade
        - description
        - startDate
        - endDate
        - company
      additionalProperties: false
      id: PrivateCreateCandidateEducationCompanyCreateRequestDto
    CreateCandidateWorkExperienceCompanyIdRequestDto:
      type: object
      properties:
        jobTitle:
          type: string
        location:
          anyOf:
            - $ref: '#/components/schemas/LocationDto'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        companyId:
          type: string
          minLength: 1
      required:
        - jobTitle
        - location
        - description
        - startDate
        - endDate
        - companyId
      additionalProperties: false
      id: PrivateCreateCandidateWorkExperienceCompanyIdRequestDto
    CreateCandidateWorkExperienceCompanyCreateRequestDto:
      type: object
      properties:
        jobTitle:
          type: string
        location:
          anyOf:
            - $ref: '#/components/schemas/LocationDto'
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        startDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        company:
          $ref: '#/components/schemas/CandidateCompanyCreateDto'
      required:
        - jobTitle
        - location
        - description
        - startDate
        - endDate
        - company
      additionalProperties: false
      id: PrivateCreateCandidateWorkExperienceCompanyCreateRequestDto
    CreateCandidateCertificationCompanyIdDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        url:
          anyOf:
            - format: uri
              type: string
            - type: 'null'
        issueDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        expirationDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        companyId:
          anyOf:
            - type: string
              minLength: 1
            - type: 'null'
      required:
        - name
        - url
        - issueDate
        - expirationDate
        - companyId
      additionalProperties: false
      id: PrivateCreateCandidateCertificationCompanyIdDto
    CreateCandidateCertificationCompanyCreateDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        url:
          anyOf:
            - format: uri
              type: string
            - type: 'null'
        issueDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        expirationDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
        company:
          $ref: '#/components/schemas/CandidateCompanyCreateDto'
      required:
        - name
        - url
        - issueDate
        - expirationDate
        - company
      additionalProperties: false
      id: PrivateCreateCandidateCertificationCompanyCreateDto
    SharedCustomAttributeTypeDto:
      oneOf:
        - $ref: '#/components/schemas/CustomTextTypeDto'
        - $ref: '#/components/schemas/CustomNumberTypeDto'
        - $ref: '#/components/schemas/CustomCheckboxTypeDto'
        - $ref: '#/components/schemas/CustomDateTypeDto'
        - $ref: '#/components/schemas/CustomTimestampTypeDto'
        - $ref: '#/components/schemas/CustomRatingTypeDto'
        - $ref: '#/components/schemas/CustomSelectTypeDto'
        - $ref: '#/components/schemas/CustomMultiSelectTypeDto'
        - $ref: '#/components/schemas/CustomCurrencyTypeDto'
        - $ref: '#/components/schemas/CustomDateRangeTypeDto'
        - $ref: '#/components/schemas/CustomDurationTypeDto'
        - $ref: '#/components/schemas/CustomUrlTypeDto'
        - $ref: '#/components/schemas/CustomEntityTypeDto'
        - $ref: '#/components/schemas/CustomMultiEntityTypeDto'
      id: SharedPrivateCustomAttributeTypeDto
    CandidateLanguage:
      type: string
      enum:
        - Afrikaans
        - Albanian
        - Amharic
        - Arabic
        - Armenian
        - Assamese
        - Aymara
        - Azerbaijani
        - Bangla
        - Basque
        - Belarusian
        - Bemba
        - Berber
        - Bislama
        - Bosnian
        - Bulgarian
        - Burman
        - Catalan
        - Chechen
        - Chewa
        - Chinese (Mandarin)
        - Chinese (Cantonese)
        - Chittagonian
        - Croatian
        - Czech
        - Danish
        - Dari
        - Dhivehi
        - Dutch
        - Dzongkha
        - English
        - Estonian
        - Ewe
        - Fijian
        - Filipino
        - Finnish
        - French
        - Galician
        - Georgian
        - German
        - Greek
        - Guarani
        - Gujarati
        - Haitian Creole
        - Hausa
        - Hebrew
        - Hindi
        - Hungarian
        - Icelandic
        - Igbo
        - Indonesian
        - Irish
        - Italian
        - Japanese
        - Kannada
        - Kazakh
        - Khmer
        - Kinyarwanda
        - Kirundi
        - Korean
        - Kurdish
        - Kyrgyz
        - Lao
        - Latvian
        - Lingala
        - Lithuanian
        - Luganda
        - Luxembourgish
        - Macedonian
        - Malagasy
        - Malay
        - Malayalam
        - Maltese
        - Maori
        - Marathi
        - Moldovan
        - Mongolian
        - Montenegrin
        - Ndebele
        - Nepali
        - Norwegian
        - Odia
        - Oromo
        - Pashto
        - Persian
        - Polish
        - Portuguese
        - Punjabi
        - Quechua
        - Romanian
        - Russian
        - Samoan
        - Sango
        - Serbian
        - Sesotho
        - Setswana
        - Shona
        - Sindhi
        - Sinhala
        - Slovak
        - Slovenian
        - Somali
        - Spanish
        - Swahili
        - Swedish
        - Tajik
        - Tamil
        - Telugu
        - Tetum
        - Thai
        - Tigrinya
        - Tok Pisin
        - Tongan
        - Tsonga
        - Tswana
        - Turkish
        - Turkmen
        - Ukrainian
        - Urdu
        - Uzbek
        - Venda
        - Vietnamese
        - Welsh
        - Xhosa
        - Yoruba
        - Zulu
      id: PrivateCandidateLanguage
    CandidateFluency:
      anyOf:
        - type: string
          enum:
            - Elementary proficiency
            - Limited working proficiency
            - Professional working proficiency
            - Full professional proficiency
            - Native or bilingual proficiency
        - type: 'null'
      id: PrivateCandidateFluency
    CandidateCurrency:
      $ref: '#/components/schemas/DmCurrency'
      id: PrivateCandidateCurrency
    CandidateCompanyCreateDto:
      type: object
      properties:
        name:
          type: string
          minLength: 1
        linkedInId:
          type: string
          minLength: 1
        domain:
          format: hostname
          type: string
      required:
        - name
      id: PrivateCandidateCompanyCreateDto
    LocationDto:
      type: object
      properties:
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        postalCode:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        rawCityCountry:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        formattedAddress:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - $ref: '#/components/schemas/LocationType'
            - type: 'null'
      required:
        - street1
        - street2
        - postalCode
        - city
        - region
        - state
        - country
        - rawCityCountry
        - latitude
        - longitude
        - formattedAddress
        - type
      id: PrivateLocationDto
    CustomTextTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customText
        text:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - text
      id: PrivateCustomTextTypeDto
    CustomNumberTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customNumber
        number:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - number
      id: PrivateCustomNumberTypeDto
    CustomCheckboxTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customCheckbox
        checked:
          anyOf:
            - type: boolean
            - type: 'null'
      required:
        - viewType
        - checked
      id: PrivateCustomCheckboxTypeDto
    CustomDateTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDate
        date:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - viewType
        - date
      id: PrivateCustomDateTypeDto
    CustomTimestampTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customTimestamp
        timestamp:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - viewType
        - timestamp
      id: PrivateCustomTimestampTypeDto
    CustomRatingTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customRating
        rating:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - rating
      id: PrivateCustomRatingTypeDto
    CustomSelectTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customSelect
        select:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - select
      id: PrivateCustomSelectTypeDto
    CustomMultiSelectTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customMultiSelect
        multiSelect:
          type: array
          items:
            type: string
      required:
        - viewType
        - multiSelect
      id: PrivateCustomMultiSelectTypeDto
    CustomCurrencyTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customCurrency
        monetaryAmount:
          anyOf:
            - $ref: '#/components/schemas/MonetaryAmountDto'
            - type: 'null'
      required:
        - viewType
        - monetaryAmount
      id: PrivateCustomCurrencyTypeDto
    CustomDateRangeTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDateRange
        dateRange:
          anyOf:
            - $ref: '#/components/schemas/DateRangeDto'
            - type: 'null'
      required:
        - viewType
        - dateRange
      id: PrivateCustomDateRangeTypeDto
    CustomDurationTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customDuration
        duration:
          anyOf:
            - type: number
            - type: 'null'
      required:
        - viewType
        - duration
      id: PrivateCustomDurationTypeDto
    CustomUrlTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customUrl
        url:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - viewType
        - url
      id: PrivateCustomUrlTypeDto
    CustomEntityTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customEntity
        type:
          type: string
          enum:
            - user
        id:
          anyOf:
            - type: string
            - type: 'null'
        entity:
          anyOf:
            - $ref: '#/components/schemas/UserBadgeDto'
            - type: 'null'
      required:
        - viewType
        - type
        - id
      id: PrivateCustomEntityTypeDto
    CustomMultiEntityTypeDto:
      type: object
      properties:
        viewType:
          type: string
          enum:
            - customMultiEntity
        type:
          type: string
          enum:
            - user
        ids:
          type: array
          items:
            type: string
        entities:
          type: array
          items:
            $ref: '#/components/schemas/UserBadgeDto'
      required:
        - viewType
        - type
        - ids
      id: PrivateCustomMultiEntityTypeDto
    DmCurrency:
      type: string
      enum:
        - AED
        - AFN
        - ALL
        - AMD
        - ANG
        - AOA
        - ARS
        - AUD
        - AWG
        - AZN
        - BAM
        - BBD
        - BDT
        - BGN
        - BHD
        - BIF
        - BMD
        - BND
        - BOB
        - BRL
        - BSD
        - BTC
        - BTN
        - BWP
        - BYN
        - BZD
        - CAD
        - CDF
        - CHF
        - CLF
        - CLP
        - CNH
        - CNY
        - COP
        - CRC
        - CUC
        - CUP
        - CVE
        - CZK
        - DJF
        - DKK
        - DOP
        - DZD
        - EGP
        - ERN
        - ETB
        - EUR
        - FJD
        - FKP
        - GBP
        - GEL
        - GGP
        - GHS
        - GIP
        - GMD
        - GNF
        - GTQ
        - GYD
        - HKD
        - HNL
        - HRK
        - HTG
        - HUF
        - IDR
        - ILS
        - IMP
        - INR
        - IQD
        - IRR
        - ISK
        - JEP
        - JMD
        - JOD
        - JPY
        - KES
        - KGS
        - KHR
        - KMF
        - KPW
        - KRW
        - KWD
        - KYD
        - KZT
        - LAK
        - LBP
        - LKR
        - LRD
        - LSL
        - LYD
        - MAD
        - MDL
        - MGA
        - MKD
        - MMK
        - MNT
        - MOP
        - MRU
        - MUR
        - MVR
        - MWK
        - MXN
        - MYR
        - MZN
        - NAD
        - NGN
        - NIO
        - NOK
        - NPR
        - NZD
        - OMR
        - PAB
        - PEN
        - PGK
        - PHP
        - PKR
        - PLN
        - PYG
        - QAR
        - RON
        - RSD
        - RUB
        - RWF
        - SAR
        - SBD
        - SCR
        - SDG
        - SEK
        - SGD
        - SHP
        - SLE
        - SLL
        - SOS
        - SRD
        - SSP
        - STD
        - STN
        - SVC
        - SYP
        - SZL
        - THB
        - TJS
        - TMT
        - TND
        - TOP
        - TRY
        - TTD
        - TWD
        - TZS
        - UAH
        - UGX
        - USD
        - UYU
        - UZS
        - VEF
        - VES
        - VND
        - VUV
        - WST
        - XAF
        - XAG
        - XAU
        - XCD
        - XCG
        - XDR
        - XOF
        - XPD
        - XPF
        - XPT
        - YER
        - ZAR
        - ZMW
        - ZWG
        - ZWL
      id: DmCurrency
    MonetaryAmountDto:
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/DmCurrency'
        amount:
          type: number
      required:
        - currency
        - amount
      id: PrivateMonetaryAmountDto
    DateRangeDto:
      type: object
      properties:
        startDate:
          $ref: '#/components/schemas/DateISO'
        endDate:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - startDate
        - endDate
      id: PrivateDateRangeDto
    UserBadgeDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        avatarUrl:
          anyOf:
            - type: string
            - type: 'null'
        deactivatedAt:
          anyOf:
            - $ref: '#/components/schemas/DateISO'
            - type: 'null'
      required:
        - id
        - name
        - avatarUrl
        - deactivatedAt
      id: PrivateUserBadgeDto
  securitySchemes:
    x-api-key:
      type: apiKey
      name: x-api-key
      in: header
      description: >-
        API key for authentication. Get your API key from Settings → API Keys in
        your Spott dashboard.

````